import React from 'react';
import Taro from '@tarojs/taro';
import { View, Image, Button } from '@tarojs/components';
// import Icon from '@/assets/image/WeChat.png';
import { useModel } from '@/store';
import { Icon } from '@antmjs/vantui';
import style from './bottom.module.less';

export default (props) => {

  const { signinByPhone, signup } = useModel('user');

  const onGetPhoneNumber = (e) => {
    console.log(e)
    const code = e.detail.code;
    signinByPhone(code).then(props.onSuccess);
  }

  const onClick = () => {
    // eslint-disable-next-line no-undef
    SmartCity.getUserInfo(function(res){
      console.log(res);
      if( res && res.userInfo){
        console.log("=========SmartCity.getUserInfo==========");
        console.log(res);

        const data = {
          openid: res.userInfo.id,
          name: res.userInfo.member_nickname,
          phone: res.userInfo.member_mobile,
          avatar: res.userInfo.member_avatar,
        };

        Taro.showLoading({ title: '登录中...' });
        signup(data).then(res2 => {
          Taro.hideLoading();
          props.onSuccess();
        }).catch(err => {
          Taro.hideLoading();
        })
      }else{
          // eslint-disable-next-line no-undef
          SmartCity.goLogin();
      }
    })
  }

  return (
    <View>
      {/* <View className={style['txt-box2']}>—— 没有账号？手机号快捷登录 ——</View> */}
      {/* <View className={style['img-box2']}>
        <Button openType="getPhoneNumber" onGetPhoneNumber={onGetPhoneNumber}>
          <Image className={style['img-wechat']}
            src={Icon}
          />
          <Icon name="phone" size="32px" color='green' style={{ marginTop: '10px' }} />
        </Button>
      </View> */}
      <View className={style['wechat-login']} onClick={onClick}>市民入口</View>
    </View>
  )
}
